/*
 * Copyright 2009 Cedric Priscal
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package android.serialport.sample;

import java.io.IOException;

import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.TextView.OnEditorActionListener;

public class ConsoleActivity extends SerialPortActivity {

	EditText mReception;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.console);
        
//		setTitle("Loopback test");
		mReception = (EditText) findViewById(R.id.EditTextReception);

		final EditText Emission = (EditText) findViewById(R.id.EditTextEmission);
		Emission.setOnEditorActionListener(new OnEditorActionListener() {
			public boolean onEditorAction(TextView v, int actionId, KeyEvent event) {
				int i;

				CharSequence t = v.getText();
				char[] text = new char[t.length()];
				for (i=0; i<t.length(); i++) {
					text[i] = t.charAt(i);
				}
				try {
					mOutputStream.write(new String(text).getBytes());
					mOutputStream.write(0xD);
				} catch (IOException e) {
					e.printStackTrace();
				}
				return false;
			}

			private void msleep(int i) {
				// TODO Auto-generated method stub
				
			}
		});
		final Button ble_send = (Button) findViewById(R.id.ble_send);
		ble_send.setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {
				int i;

				CharSequence t = Emission.getText();
				char[] text = new char[t.length()];
				for (i=0; i<t.length(); i++) {
					text[i] = t.charAt(i);
				}
				try {
					mOutputStream.write(new String(text).getBytes());
					mOutputStream.write(0xD);
				} catch (IOException e) {
					e.printStackTrace();
				}
				//return false;
			}
		});		
		final Button ble_setup = (Button) findViewById(R.id.ble_setup);
		ble_setup.setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {

				try {
					mOutputStream.write(new String("AT+RENEW").getBytes());
									

				} catch (IOException e) {
					e.printStackTrace();
				}
			
			}
		});			
	}

	@Override
	protected void onDataReceived(final byte[] buffer, final int size) {
		runOnUiThread(new Runnable() {
			public void run() {
				if (mReception != null) {
					mReception.append(new String(buffer, 0, size));
				}
			}
		});
	}
}
